# CategoryStream.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <log4cpp/CategoryStream.hh>`
`#include <log4cpp/Category.hh>`

Include dependency graph for CategoryStream.cpp:

## Namespaces

namespace | log4cpp

## Functions

LOG4CPP_EXPORT CategoryStream & | log4cpp::eol (CategoryStream &os)
| eol manipulator
LOG4CPP_EXPORT CategoryStream & | log4cpp::left (CategoryStream &os)
| left manipulator